Package net.shibboleth.idp.attribute.resolver.dc.saml

# Class ResponseData

java.lang.Object
net.shibboleth.idp.attribute.resolver.dc.saml.ResponseData

public class ResponseData extends Object
A class which encapsulates the SAML 2 `Response` to an attribute query and associated data used in processing it within a data connector.

## Field Summary

Fields
Modifier and Type
Field
Description
`private RoleDescriptor`
`attributeAuthorityRoleDescriptor`
Attribute authority role descriptor.
`private AttributeResolutionContext`
`attributeResolutionContext`
Attribute resolution context.
`private Map<String,List<IdPAttributeValue>>`
`dependencyAttributes`
Dependency attributes.
`private Response`
`response`
Response.
`private InOutOperationContext`
`soapClientContext`
SOAP client operation context.

## Constructor Summary

Constructors
Constructor
Description
`ResponseData(Response message, InOutOperationContext soapContext, AttributeResolutionContext attributeContext, Map<String,List<IdPAttributeValue>> dependencies, RoleDescriptor roleDescriptor)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`RoleDescriptor`
`getAttributeAuthorityRoleDescriptor()`
Get the `RoleDescriptor` for the attribute authority.
`AttributeResolutionContext`
`getAttributeResolutionContext()`
Get the `AttributeResolutionContext`.
`Map<String,List<IdPAttributeValue>>`
`getDependencyAttributes()`
Get the resolution dependency attributes.
`Response`
`getResponse()`
Get the SAML 2 `Response`.
`InOutOperationContext`
`getSOAPClientContext()`
Get the SOAP client `InOutOperationContext`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### response

@Nonnull private Response response
Response.

### soapClientContext

@Nonnull private InOutOperationContext soapClientContext
SOAP client operation context.

### attributeResolutionContext

@Nonnull private AttributeResolutionContext attributeResolutionContext
Attribute resolution context.

### dependencyAttributes

@Nonnull private Map<String,List<IdPAttributeValue>> dependencyAttributes
Dependency attributes.

### attributeAuthorityRoleDescriptor

@Nonnull private RoleDescriptor attributeAuthorityRoleDescriptor
Attribute authority role descriptor.

## Constructor Details

### ResponseData

public ResponseData(@Nonnull Response message, @Nonnull InOutOperationContext soapContext, @Nonnull AttributeResolutionContext attributeContext, @Nonnull Map<String,List<IdPAttributeValue>> dependencies, @Nonnull RoleDescriptor roleDescriptor)
Constructor.

Parameters:
  `message` - SAML 2 Response message
  `soapContext` - SOAP client operation context
  `attributeContext` - attribute resolution context
  `dependencies` - resolution dependency attributes
  `roleDescriptor` - attribute authority role descriptor

## Method Details

### getResponse

@Nonnull public Response getResponse()
Get the SAML 2 `Response`.

Returns:
  the SAML 2 Response message

### getSOAPClientContext

@Nonnull public InOutOperationContext getSOAPClientContext()
Get the SOAP client `InOutOperationContext`.

Returns:
  the SOAP client operation context

### getAttributeResolutionContext

@Nonnull public AttributeResolutionContext getAttributeResolutionContext()
Get the `AttributeResolutionContext`.

Returns:
  the attribute resolution context

### getDependencyAttributes

@Nonnull public Map<String,List<IdPAttributeValue>> getDependencyAttributes()
Get the resolution dependency attributes.

Returns:
  Returns the dependency attributes

### getAttributeAuthorityRoleDescriptor

@Nonnull public RoleDescriptor getAttributeAuthorityRoleDescriptor()
Get the `RoleDescriptor` for the attribute authority.

Returns:
  the role descriptor